import java.io.File;
import java.io.IOException;
import java.util.Scanner;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * Created by thook on 10/7/15.
 */
public class HamletParser {

    private String hamletData;

    public HamletParser(){
        this.hamletData = loadFile();
    }

    private String loadFile(){
        ClassLoader classLoader = getClass().getClassLoader();
        File file = new File(classLoader.getResource("hamlet.txt").getFile());
        StringBuilder result = new StringBuilder("");

        try(Scanner scanner = new Scanner(file)){
            while(scanner.hasNextLine()){
                String line = scanner.nextLine();
                result.append(line).append("\n");
            }

            scanner.close();
        }catch(IOException e){
            e.printStackTrace();
        }

        return result.toString();
    }

    public String getHamletData(){
        return hamletData;
    }

    public String changeHamletToLeon(){

        Pattern pattern = Pattern.compile(".*Hamlet.*");
        Matcher matcher = pattern.matcher(hamletData);
        return matcher.replaceAll("Leon");

    }


    public String changeHoratioToTariq(){

        Pattern pattern = Pattern.compile("Horatio");
        Matcher matcher = pattern.matcher(hamletData);
        return matcher.replaceAll("Tariq");
    }

    public boolean findHoratio(){
//        String ham= hamletData;
//        String regex = ".*Horatio.*";
//        boolean matcher= Pattern.matches(regex,ham);
//        System.out.println(matcher);
//        return matcher;
//     cannot use this method because matches expects char sequence but the given input is a text file.

        Pattern pattern = Pattern.compile(".*Horatio.*");
        Matcher matcher = pattern.matcher(hamletData);
        return matcher.find();
    }


    public boolean findHamlet(){

        Pattern pattern = Pattern.compile("Hamlet");
        Matcher matcher = pattern.matcher(hamletData);
        return matcher.find();
    }

}
