import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon() {
        boolean expected = false;
        String changedText = hamletParser.changeHamletToLeon();
        boolean actual =changedText.contains("Hamlet");
        Assert.assertEquals(expected,actual);

    }

    @Test
    public void testChangeHoratioToTariq() {
        boolean expected = false;
        String changedText = hamletParser.changeHoratioToTariq();
        boolean actual =changedText.contains("Horatio");
        Assert.assertEquals(expected,actual);
    }

    @Test
    public void testFindHoratio() {
        boolean expected = true;
        boolean actual= hamletParser.findHoratio();
        Assert.assertEquals(expected,actual);
    }

    @Test
    public void testFindHamlet() {
        boolean expected = true;
        boolean actual = hamletParser.findHamlet();
        Assert.assertEquals(expected,actual);
    }
}